## Apache Zeta Components Manual :: Docs For Class ezcGraphDataSetColorProperty

### Graph::ezcGraphDataSetColorProperty

### Class ezcGraphDataSetColorProperty

Class for color properties of datasets

This class is used to store properties for datasets, which should be validated as objects extending the ezcGraphColor class.

For a basic usage example of those dataset properties take a look at the API documentation of the ezcGraphDataSetProperty class.

Source for this file: /Graph/src/datasets/property/color.php

    ezcGraphDataSetProperty
       |
       --ezcGraphDataSetColorProperty

Version: | //autogentag//

### Inherited Member Variables

From ezcGraphDataSetProperty
protected | `ezcGraphDataSetProperty::$dataset`
protected | `ezcGraphDataSetProperty::$dataValue`
protected | `ezcGraphDataSetProperty::$defaultValue`

### Method Summary

protected void | `checkValue( &$value , $value )` Converts value to an ezcGraphColor object

### Inherited Methods

From ezcGraphDataSetProperty
protected abstract void | `ezcGraphDataSetProperty::checkValue()` Abstract method to contain the check for validity of the value
public bool | `ezcGraphDataSetProperty::offsetExists()` Returns if an option exists.
public mixed | `ezcGraphDataSetProperty::offsetGet()` Returns an option value.
public void | `ezcGraphDataSetProperty::offsetSet()` Set an option.
public void | `ezcGraphDataSetProperty::offsetUnset()` Unset an option.
public mixed | `ezcGraphDataSetProperty::__get()` Get the default value for this property
public void | `ezcGraphDataSetProperty::__set()` Set the default value for this property

### Methods

#### checkValue

void checkValue( &$value , & $value )

Converts value to an ezcGraphColor object

##### Parameters:

Name | Type | Description
--- | --- | ---
`$value` | & |
`&$value` |  |

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphDataSetProperty::checkValue()` | Abstract method to contain the check for validity of the value

Documentation generated by phpDocumentor 1.4.3